#include "common.h"

int	usr1_flag ;

int sub_usr1_received()
{
	if ( usr1_flag == TRUE )
	{
		sub_logput( LOG_NORML, "USR1 flag is ON" ) ;
	}
	return usr1_flag ;
}

void sub_exit_on_usr1()
{
	if ( usr1_flag == TRUE )
	{
		sub_logput( LOG_NORML, "Signal USR1 delected" ) ;
		exit(0);
	}
}

void sub_signal( int nsig )
{
        char    s_signam[1024] ;

        /*** ----------------------------------------------------- ***
         ***  Signal handler
         *** ----------------------------------------------------- ***/

        switch( nsig )
        {
        case SIGHUP:    strcpy( s_signam, "SIGHUP") ; break ;
        case SIGUSR1:   strcpy( s_signam, "SIGUSR1") ; break ;
        case SIGUSR2:   strcpy( s_signam, "SIGUSR2") ; break ;
        case SIGABRT:   strcpy( s_signam, "SIGABRT") ; break ;
        case SIGFPE:    strcpy( s_signam, "SIGFPE" ) ; break ;
        case SIGILL:    strcpy( s_signam, "SIGILL" ) ; break ;
        case SIGINT:    strcpy( s_signam, "SIGINT" ) ; break ;
        case SIGSEGV:   strcpy( s_signam, "SIGSEGV") ; break ;
        case SIGTERM:   strcpy( s_signam, "SIGTERM") ; break ;
        default:                sprintf( s_signam, "signal #%d", nsig ) ; break ;
        }
        sub_logput( LOG_ERROR, "Signal %s Detected", s_signam ) ;

        /*** ----------------------------------------------------- ***
         ***    Signal Process
         *** ----------------------------------------------------- ***/

        switch ( nsig )
        {
        case SIGUSR1:
                sub_logput( LOG_ERROR, "SIGUSR1: abort request detected" ) ;
				usr1_flag = TRUE ;
                return ;
        }

        /*** ----------------------------------------------------- ***
         ***    Signal handler end
         *** ----------------------------------------------------- ***/

        sub_logput( LOG_NORML, "process is going down" ) ;

        exit(0) ;
}

