#include "common.h"

int sub_strdate(char *s_curtim, int n_maxsiz)
{
	time_t      o_timnow ;
	struct tm  *p_timstr ;

	/*** ----------------------------------------------------- ***
	 ***    GET CURRENT TIME
	 *** ----------------------------------------------------- ***/

	time( &o_timnow ) ;

	if ( (p_timstr = localtime( &o_timnow )) == NULL )
	{
		sub_logput( LOG_ERROR, "Local Time Get Error" ) ;
		return STS_NG ;
	}

	/*** ----------------------------------------------------- ***
	 ***    Format Return Data
	 *** ----------------------------------------------------- ***/

	snprintf( s_curtim, n_maxsiz, "%04d%02d%02d",
              	p_timstr->tm_year + 1900, 
				p_timstr->tm_mon + 1, 
				p_timstr-> tm_mday
            ) ;

	return STS_OK ;
}
